﻿using System;
using System.Web.Mvc;
using Glass.Mapper.Sc.Web.Mvc;
using SitecoreBootcamp.Models;
using Sitecore.Mvc.Presentation;

namespace SitecoreBootcamp.Controllers
{
    public class ContentBlurbController : GlassController
    {
        public ActionResult ContentBlurb()
        {
            var datasource = RenderingContext.Current.Rendering.DataSource;
            if (String.IsNullOrEmpty(datasource))
            {
                ViewBag.Message = "No valid datasource for component 'Content Blurb'";
                return View("~/Views/Error.cshtml");
            }

            IContentBlurb model = SitecoreContext.GetItem<IContentBlurb>(datasource);

            return View("~/Views/ContentBlurb/ContentBlurb.cshtml", model);
        }
    }
}